Generated from cURL: curl --location --request DELETE 'https://api.pre-prod.ozonetel.com/ca_apis/deleteBlockNumberGroup'
--header 'apiKey: KK00b15555afb7066312663b969a75f74d'
--header 'Content-Type: application/json'
--data '{
"userName":"preprod",
"blockNumber":"2345"
}'
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
This API is used to delete a phone number from a Block Number Group.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
To access this API the following Header and Body parameters MUST be passed.
Headers
| Parameter | Description |
|---|---|
| apiKey | Your CloudAgent account API Key |
| Content-Type | application/json |
Body Params
| Parameter (new Key) | Description (new value) |
|---|---|
| userName (Body Param) | Your CloudAgent account Username. |
| blockNumbers (Body Param) | Phone numbers to be deleted from the group |
Rate LimitThis API supports the deletion of up to 100 phone numbers in a single request.
Possible responses
| Passing invalid Id key parameter. | { "status": "error","message": "Parameters are mandatory"} |
| Passing invalid Id value parameter. | { "status": "error","message": "Invalid group id"} |
| Passing invalid blockNumbers key parameter. | { "status": "error","message": "Parameters are mandatory"} |
| Successfully deleting multiple leads in Block Number Group | "{""status"": ""success"",""message"": ""deleted"",""input"": {""id"": 1, ""blockNumbers"": [""91XX88XXX8"", ""9197XXX0XX94"",""9197XXX0XX93"", ""9197XXX0XX94"",""9197XXX0XX95""][""91XX88XXX8"", ""9197XXX0XX94"",""9197XXX0XX93"", ""9197XXX0XX94"",""9197XXX0XX95""]}, ""output"": {""success"": [ ""+9191XX88XXX8"",""+9197XXX0XX94"", ""+9197XXX0XX93"",""+9197XXX0XX94"", ""+9197XXX0XX95""][ ""+9191XX88XXX8"",""+9197XXX0XX94"", ""+9197XXX0XX93"",""+9197XXX0XX94"", ""+9197XXX0XX95""], ""error"": [],""deleted"": 4}}" |
